package cn.com.countrygarden.bi.main.dao.ck.satisfaction;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedNationwide;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   满意度-全国数据层
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
@org.apache.ibatis.annotations.Mapper
public interface SatisfiedNationwideMapper extends Mapper<SatisfiedNationwide> {

    List<SatisfiedNationwide> queryPageList(SatisfiedNationwide satisfiedNationwide);

    Long selectListDataToble(SatisfiedNationwide satisfiedNationwide);

    List<SatisfiedNationwide> getrevenue(@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<SatisfiedNationwide> listBiao();

    int insertPL(@Param("orListIn") List<SatisfiedNationwide> orListIn);

    List<String> niancha();

    int updateDelete();
}
